Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface JavaConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface JavaConfig
extends ConfigElement, PropertiesAccess, Container

Configuration for the <java-config> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`ProfilerConfig` | `createProfilerConfig(java.lang.String name, java.util.Map optional)` Creates a profiler element.
`java.lang.String` | `getBytecodePreprocessors()`
`java.lang.String` | `getClasspathPrefix()`
`java.lang.String` | `getClasspathSuffix()`
`boolean` | `getDebugEnabled()`
`java.lang.String` | `getDebugOptions()`
`boolean` | `getEnvClasspathIgnored()`
`java.lang.String` | `getJavacOptions()`
`java.lang.String` | `getJavaHome()`
`java.lang.String[]` | `getJVMOptions()`
`java.lang.String` | `getNativeLibraryPathPrefix()`
`java.lang.String` | `getNativeLibraryPathSuffix()`
`ProfilerConfig` | `getProfilerConfig()` Get the ProfilerConfig MBean.
`java.lang.String` | `getRMICOptions()`
`java.lang.String` | `getServerClasspath()`
`void` | `removeProfilerConfig()` Removes profiler element.
`void` | `setBytecodePreprocessors(java.lang.String value)`
`void` | `setClasspathPrefix(java.lang.String value)`
`void` | `setClasspathSuffix(java.lang.String value)`
`void` | `setDebugEnabled(boolean value)`
`void` | `setDebugOptions(java.lang.String value)`
`void` | `setEnvClasspathIgnored(boolean value)`
`void` | `setJavacOptions(java.lang.String value)`
`void` | `setJavaHome(java.lang.String value)`
`void` | `setJVMOptions(java.lang.String[] value)` Overwrites existing jvm options with the new options.
`void` | `setNativeLibraryPathPrefix(java.lang.String value)`
`void` | `setNativeLibraryPathSuffix(java.lang.String value)`
`void` | `setRMICOptions(java.lang.String value)`
`void` | `setServerClasspath(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getBytecodePreprocessors

    public java.lang.String getBytecodePreprocessors()

### setBytecodePreprocessors

    public void setBytecodePreprocessors(java.lang.String value)

### getClasspathPrefix

    public java.lang.String getClasspathPrefix()

### setClasspathPrefix

    public void setClasspathPrefix(java.lang.String value)

### getClasspathSuffix

    public java.lang.String getClasspathSuffix()

### setClasspathSuffix

    public void setClasspathSuffix(java.lang.String value)

### getDebugEnabled

    public boolean getDebugEnabled()

### setDebugEnabled

    public void setDebugEnabled(boolean value)

### getDebugOptions

    public java.lang.String getDebugOptions()

### setDebugOptions

    public void setDebugOptions(java.lang.String value)

### getEnvClasspathIgnored

    public boolean getEnvClasspathIgnored()

### setEnvClasspathIgnored

    public void setEnvClasspathIgnored(boolean value)

### getJavaHome

    public java.lang.String getJavaHome()

### setJavaHome

    public void setJavaHome(java.lang.String value)

### getJavacOptions

    public java.lang.String getJavacOptions()

### setJavacOptions

    public void setJavacOptions(java.lang.String value)

### getJVMOptions

    public java.lang.String[] getJVMOptions()

### setJVMOptions

    public void setJVMOptions(java.lang.String[] value)

  Overwrites existing jvm options with the new options. If the intent is to append the new options the caller needs to first get the existing jvm options using #getJVMOptions, append new options and set the resulting whole using this method.

### getNativeLibraryPathPrefix

    public java.lang.String getNativeLibraryPathPrefix()

### setNativeLibraryPathPrefix

    public void setNativeLibraryPathPrefix(java.lang.String value)

### getNativeLibraryPathSuffix

    public java.lang.String getNativeLibraryPathSuffix()

### setNativeLibraryPathSuffix

    public void setNativeLibraryPathSuffix(java.lang.String value)

### getRMICOptions

    public java.lang.String getRMICOptions()

### setRMICOptions

    public void setRMICOptions(java.lang.String value)

### getServerClasspath

    public java.lang.String getServerClasspath()

### setServerClasspath

    public void setServerClasspath(java.lang.String value)

### getProfilerConfig

    public ProfilerConfig getProfilerConfig()

  Get the ProfilerConfig MBean.

### createProfilerConfig

    public ProfilerConfig createProfilerConfig(java.lang.String name,
                                               java.util.Map optional)

  Creates a profiler element. Although a name is specified, only one profiler may exist.

  Parameters:
    `name` - identifier
    `optional` - Map of optional attributes. See `ProfilerConfigKeys`
  Returns:
    A proxy to the ProfilerConfig MBean.

### removeProfilerConfig

    public void removeProfilerConfig()

  Removes profiler element.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.